### Method

# Gtk Imageset_from_pixbuf

deprecated: 4.12

#### Declaration [src]

    void
    gtk_image_set_from_pixbuf (
      GtkImage* image,
      GdkPixbuf* pixbuf
    )

#### Description [src]

Sets a `GtkImage` to show a `GdkPixbuf`.

See `gtk_image_new_from_pixbuf()` for details.

Note: This is a helper for `gtk_image_set_from_paintable()`, and you can’t get back the exact pixbuf once this is called, only a paintable.

Deprecated since: 4.12

Use `gtk_image_set_from_paintable()` instead.

Sets property | `Gtk.Image:paintable`

#### Parameters

`pixbuf`

  Type: `GdkPixbuf`

  A `GdkPixbuf` or `NULL`

  The argument can be `NULL`.
  The data is owned by the caller of the method.